/*function Alerta(elemento){
Estrellas = [elemento.sum];
var stars= TIC.Stars[0];
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'><header><h1>En estos momentos tu puntuación es:</h1></header><strong></br></br></br>Has obtenido:&nbsp;</strong></br><div class='stars'>"+stars.secuencia1+stars.secuencia3+stars.secuencia4+stars.secuencia6+"</div><div class='cerrar'></div></br><div class='leyenda'><h1>Estrella obtenida</h1><span class='stars' style='color:#FC0 !important'>R</span></div></div>");
 for(i=0; i<Estrellas; i++){
$("#star_"+i).addClass("stars_si")
};
	}*/
/// ///////// ///OBJETO NARRADOR ///////////////////////////////
TIC.Narrador = (function(){
	function Narrador(element, options){this.init(element, options);}

	Narrador.prototype = {
		init: function(element, options){
			this.contador = 0;
			this.element = element;
			this.options = options;

			var me = this;
			
			  $(".next", element).click(function () {
				  me.next();
			  });
			  $(".prev", element).click(function () {
				  me.prev();
			  });

			
			 this.clickVolver = function(){
				me.prev();
				 }
			 this.clickController = function(){
								 
								 var id = parseInt(this.id.substring(0));
								 me.solve(id);
						 }
			  this.clickControlar2 = function(){
				 if($('input:radio[name=options]').is(':checked')){
			  
				  var idRespuesta = $('input:radio[name=options]:checked').val();
				  
				 
				$(".next").hide(); 
				$(".pizarra").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
				
				
				 $(".next_url").css({"position":"absolute","right":"0","top":"100%","left":"95%","width":"5%"})
				  me.solve(idRespuesta);  
				   }else {  
			  me.showAlert();
			   }
			  
			
			   
				
	
				  }
this.clickControlar = function(){	
	
var id = TIC.Diapositivas[me.contador].id;

if($('input:radio[name=options]').is(':checked')){
	$(".next").show();
	$(".prev").show();
	$(".relleno").hide();
	
var idRespuesta = $('input:radio[name=options]:checked').val();	
var idTest =$('input:radio[name=options]:checked').attr('id');	
 
///me.sendData(idRespuesta, ActCode);
me.solve(idRespuesta,idTest);  
pintar_test(idRespuesta, ActCode, idTestGral);
pintar_estrellas_scorm();
				}else {  
                 $(".next").hide();
                 $(".relleno").show();
                 $(".prev").hide();
				  me.showAlert();
				   } 
//if (id == 3){
//	
//	$(".next").hide();
//	 $(".pizarra").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
//$(".next_url").css({"position":"absolute","right":"0","top":"100%","left":"95%","width":"5%"})
//	}				   
}; //// fin clickControlar

			 this.clickCerrar = function(){
			$(".pop_up_container").hide();
								
						 }
			
			 this.clickEdad = function(){
				var idEdad = parseInt(this.id.substring(5));
				me.idEdad = idEdad;			
				me.next();
			}
			
			 this.clickBoton = function(){   
	
								 var id_boton = parseInt(this.id.substring(4));
								 me.muestra(id_boton);
			
			}		
			
			
			this.clickAmbito = function(){
			 var idAmbito = parseInt(this.id.substring(7,8));	
			 var idAmbito2 = parseInt(this.id.substring(8));
			 
			 me.idAmbito = idAmbito;
			 me.idAmbito2 = idAmbito2;
			me.next();
			}
			
			 $(".indice").on('click',function(){
				 
			var indice= TIC.Indice[0].texto;
			
			$(".pop_up_container").show();
			$(".pop_up_container").html("<div class='pop_up'>"+indice+"<div class='cerrar'></div></div>");
	 		$(".pop_up_container").on('click', '.cerrar', me.clickCerrar);
			
			
			  })
			  
$(".progress").on('click',function(){
//me.getData("Alerta","OAM03_");
me.Alerta();
$(".pop_up_container").on('click', '.cerrar', me.clickCerrar);
});
this.showSlide();
			  },

			  
sendData: function(idRespuesta){ 
createNewActivityScore(ActCode,idRespuesta);
},
getData: function(ActCode){  
getActivityScore("Alerta","OAM03_");
},
		
	Alerta: function(){
if (mm_adl_API != null)
{
//alert();	
mm_adl_API.LMSInitialize("");

porcentaje = mm_adl_API.LMSGetValue("cmi.core.score.raw");
//alert(porcentaje)
if(porcentaje=='') {
var Estrellas=0;
var stars= TIC.Stars[0];
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'><header><h1>En estos momentos tu puntuaciÃ³n es:</h1></header><strong></br></br></br>Has obtenido:&nbsp;</strong></br><div class='stars'>"+stars.secuencia1+stars.secuencia3+stars.secuencia4+stars.secuencia6+"</div><div class='cerrar'></div></br><div class='leyenda'><h1>Estrella obtenida:</h1><span class='stars' style='color:#FC0 !important'>R</span></div></div>");

for(i=0; i<Estrellas; i++){
$("#star_"+i).addClass("stars_si")
};	
}else{
	
var porcentaje = Math.round((porcentaje / 100 ) * 13);
Estrellas = porcentaje;
var stars= TIC.Stars[0];
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'><header><h1>En estos momentos tu puntuaciÃ³n es:</h1></header><strong></br></br></br>Has obtenido:&nbsp;</strong></br><div class='stars'>"+stars.secuencia1+stars.secuencia3+stars.secuencia4+stars.secuencia6+"</div><div class='cerrar'></div></br><div class='leyenda'><h1>Estrella obtenida:</h1><span class='stars' style='color:#FC0 !important'>R</span></div></div>");

for(i=0; i<Estrellas; i++){
$("#star_"+i).addClass("stars_si")
};

	};
}

},	
			
		
		
		
		///Siguiente diapositiva
		next: function(){
			
			this.contador++;
			this.showSlide();
			
			
			
		},
		
		///Diapositiva anterior
		prev: function(){
			this.contador--;
			this.showSlide();
			$(".borrar").hide();

		},
		
		
		
		showSlide: function(){
			
			var diapo = TIC.Diapositivas[this.contador];
			this.diapo = diapo;
			var tipo = diapo.tipo; 
			var number = TIC.Secuencia[0].number;
			var secuencia = TIC.Secuencia[0].secc;
	//alert(tipo)
		
		$(".pizarra").html("<img src='img/bg-sos.png' id='bg-sizer'/><section><header class='primero'></header><article class='" + tipo + "'><div class='col_izquierda'></div><div class='col_derecha'></div></article></section>");
		
			//$(".pizarra").html("<img src='img/bg-sos.png' id='bg-sizer'/><section><header class='primero'><h1><span>"+number+"</span>"+secuencia+"</h1></header><article class='" + tipo + "'></article></section>");
			
			switch(tipo){		
				case "intro":
					this.showIntro();
					break;
				case "narrador_2":
					this.showNarrador_2();
					break;
				case "narrador_3":
					this.showNarrador_3();
					break;
				case "boton":
					  this.showBoton();
					  break;			
				case "way":
					this.showWay();
					break;	
				case "secuencia":
					  this.showSecuencia();
					  break;	
				case "edad":
					this.showEdad();
					break;
				case "ambito":
					this.showAmbito();
					break;
				case "narrador":
					this.showNarrador();
					break;
				case "dialogo":
					this.showDialogo();
					break;
				case "dialogo_2":
					this.showDialogo2();
					break;	
				case "test":
					this.showTest();
					break;				
					
											
			}
},


// SHOW_NARRADOR/////////
showNarrador: function(){
$(".next").show();


		id= 					TIC.Diapositivas[this.contador].id;
		orden= 					TIC.Diapositivas[this.contador].n_orden;
		orden_narrador= 		TIC.Diapositivas[this.contador].n_orden_narrador;
		ambito =				TIC.Way[this.contador].ambito;
		edad =					TIC.Way[this.contador].edad;
		talk = 					TIC.Contenidos[orden].talk;
		talk_color = 			TIC.Contenidos[orden].talk_color;		
		talk_img = 				TIC.Contenidos[orden].talk_img;				
		talk_posX=				TIC.Contenidos[orden].talk_posX;
		talk_posY=				TIC.Contenidos[orden].talk_posY;
		players = 				TIC.Contenidos[orden].players;
		img_folder = 			TIC.Contenidos[orden].folder;
		stage =					TIC.Contenidos[orden].stage;
		Nd =					TIC.Contenidos[orden].Nd;
		Nc =					TIC.Contenidos[orden].Nc;
		Nd_img =				TIC.Contenidos[orden].Nd_img;
		ambito_img = 			TIC.Way[orden].ambito_img;
		secuencia =				TIC.Secuencia[orden].secc;
		number =				TIC.Secuencia[orden].number;
		opciones = 				TIC.Test_Contenidos[orden].opciones;
		preguntas = 			TIC.Test_Contenidos[orden].preguntas;
		opcion_error = 			TIC.Test_Contenidos[orden].exp_error;
		feedback = 				TIC.Test_Contenidos[orden].feedback;
		correcta = 				TIC.Test_Contenidos[orden].correcta;
		j=0;
		
$(".primero").html("<h1>"+secuencia+"</h1>");

$(".narrador").html("<h3 class='intro_escena'>"+edad[idEdad]+"</h3><div class='col_parcial derecha AlphaIntro'>"+Nd[this.diapo.n_orden]+"<figure class='bajo_izquierda delayedAlphaIntro'><img src='img/"+Nd_img[this.diapo.n_orden]+".png'/></figure></div>")	
},

// SHOW_NARRADOR/////////
showNarrador_2: function(){
			secuencia =				TIC.Secuencia[0].secc;

$(".primero").html("<h1>"+secuencia+"</h1><h2>"+edad[idEdad]+"</h2>");

$(".next").show();
$(".narrador_2").html("<article class='escena' style='background-image:url(img/"+img_folder+"/"+Nd_img[this.diapo.n_orden]+".png)'><div class='cuadro-naranja-01 bounceInUp'></div></div></article>")	
$(".cuadro-naranja-01").html(Nd[this.diapo.n_orden]);

},



showNarrador_3: function(){
			secuencia =				TIC.Secuencia[orden].secc;


$(".primero").html("<h1>"+secuencia+"</h1><h2>"+edad[idEdad]+"</h2>");
	

if (this.idEdad == 0){
	orden= TIC.Diapositivas[this.contador].n_orden;
	}else{	
		orden=TIC.Diapositivas[me.contador].n_orden;
		}	
	$(".narrador_3").html(Nd[orden]);
	$(".next").show();
	
	},
	
	
	
	
	
	
	
	

// SHOW_DIALOGO
showDialogo: function(){
	
$(".next").hide();

var me = this;
		id= 					TIC.Diapositivas[this.contador].id;
		orden= 					TIC.Diapositivas[this.contador].n_orden;
		orden_narrador= 		TIC.Diapositivas[this.contador].n_orden_narrador;
		ambito =				TIC.Way[this.contador].ambito;
		edad =					TIC.Way[this.contador].edad;
		talk = 					TIC.Contenidos[orden].talk;
		talk_color = 			TIC.Contenidos[orden].talk_color;		
		talk_img = 				TIC.Contenidos[orden].talk_img;				
		talk_posX=				TIC.Contenidos[orden].talk_posX;
		talk_posY=				TIC.Contenidos[orden].talk_posY;
		players = 				TIC.Contenidos[orden].players;
		img_folder = 			TIC.Contenidos[orden].folder;
		stage =					TIC.Contenidos[orden].stage;
		Nd =					TIC.Contenidos[orden].Nd;
		Nc =					TIC.Contenidos[orden].Nc;
		Nd_img =				TIC.Contenidos[orden].Nd_img;
		ambito_img = 			TIC.Way[orden].ambito_img;
		j=0;



$(".primero").html("<h1>"+secuencia+"</h1><h2>"+edad[idEdad]+"</h2>");
$(".dialogo").html("<article class='escena primera' style='background-image:url(img/"+img_folder+"/"+stage[orden]+".png)'></div><div class='bocadillo naranja romboide-01'><div class='talk'>"+talk[orden]+"</div><div class='next_text'></div></div>");

$(".bocadillo").css({'right':''+talk_posX[orden]+'%','top':''+talk_posY[orden]+'%','background-image':'url(img/'+talk_img[orden]+'.png)','width':'35%','height':'45%'});


//////////////AVANCE DIALOGO /////////////////// 
$("#pizarra").on('click', '.next_text', function(){
		
		
		orden++;
		//alert(stage[orden]);
		
		j++;
		
		$(".talk").html(talk[orden]);
		$('.talk').css({'color':''+talk_color[orden]+''});
		$('.bocadillo').css({'right':''+talk_posX[orden]+'%','top':''+talk_posY[orden]+'%','background-image':'url(img/'+talk_img[orden]+'.png)'});
		$(".escena").css({'background-image':'url(img/'+img_folder+'/'+stage[orden]+'.png)'})
		
	
	
	
if (j == [talk.length-1] ){
	
	//$('.bocadillo').css({"background-image":"url('img/bocadillo-romboide-04.png')","color":"#fff"});
	$(".next_text").hide();
	$(".next").show();
	}
if (j == talk.length ){
	
		me.next();
		
	
	}			
		 
});

	 	
},



// SHOW_DIALOGO2
showDialogo2: function(){
	
	
$(".next").hide();

var me = this;
		id= 					TIC.Diapositivas[this.contador].id;
		orden= 					0;
		
		orden_narrador= 		TIC.Diapositivas[this.contador].n_orden_narrador;
		ambito =				TIC.Way[this.contador].ambito;
		edad =					TIC.Way[this.contador].edad;
		talk = 					TIC.Contenidos[orden].talk2;
	
		talk_color = 			TIC.Contenidos[orden].talk_color2;		
		talk_img = 				TIC.Contenidos[orden].talk_img2;				
		talk_posX=				TIC.Contenidos[orden].talk_posX2;
		talk_posY=				TIC.Contenidos[orden].talk_posY2;
		
		stage =					TIC.Contenidos[orden].stage2;
		Nd =					TIC.Contenidos[orden].Nd;
		Nc =					TIC.Contenidos[orden].Nc;
		Nd_img =				TIC.Contenidos[orden].Nd_img;
		ambito_img = 			TIC.Way[orden].ambito_img;
		j=0;



$(".primero").html("<h1>"+secuencia+"</h1><h2>"+edad[idEdad]+"</h2>");

$(".dialogo_2").html("");

$(".dialogo_2").html("<article class='escena primera' style='background-image:url(img/"+img_folder+"/"+stage[orden]+".png)'></div><div class='bocadillo naranja romboide-01'><div class='talk'>"+talk[orden]+"</div><div class='next_text2'></div></div>");

$(".bocadillo").css({'right':''+talk_posX[orden]+'%','top':''+talk_posY[orden]+'%','background-image':'url(img/'+talk_img[orden]+'.png)','width':'35%','height':'45%'});


//////////////AVANCE DIALOGO /////////////////// 
$("#pizarra").on('click', '.next_text2', function(){
		
		orden++;
		//alert(stage[orden]);
		
		j++;
		
		$(".talk").html(talk[orden]);
		$('.talk').css({'color':''+talk_color[orden]+''});
		$('.bocadillo').css({'right':''+talk_posX[orden]+'%','top':''+talk_posY[orden]+'%','background-image':'url(img/'+talk_img[orden]+'.png)'});
		$(".escena").css({'background-image':'url(img/'+img_folder+'/'+stage[orden]+'.png)'})
		
	
	
	
if (j == [talk.length-1] ){
	
	//$('.bocadillo').css({"background-image":"url('img/bocadillo-romboide-04.png')","color":"#fff"});
	$(".next_text2").hide();
//	$(".next").show();
$(".pizarra").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
				
				
				 $(".next_url").css({"position":"absolute","right":"0","top":"100%","left":"95%","width":"5%"})
	}
	
if (j == talk.length ){
	
		me.next();
		
	
	}			
		 
});

	 	
},





		
		
// SHOW_EDAD
showEdad: function(){
			
			var secuencia = TIC.Secuencia[this.diapo.n_orden].secc;
			var number = TIC.Secuencia[this.diapo.n_orden].number;
			var orden = TIC.Diapositivas[this.contador].n_orden;
			var edad = TIC.Way[orden].edad;
			var edad_img = TIC.Way[orden].edad_img;
			var cadenaHtml= "";
		$(".next").hide();
		$(".prev").hide();	
						
			 for(j=0; j<edad.length; j++){
				  cadenaHtml += "<li class='edad"+j+"' id='edad_"+ j + "'><a><img src='img/"+edad_img[j]+".png'  /><p class='selecc'>" + edad[j] + "</p><span></span></a></li>"	
				  
			$("#pizarra").on('click', 'li#edad_'+j, this.clickEdad);	  	  
				 }
				 
				 cadenaHtml = "<ul class='menu_circulos delayedAlphaIntro'>" + cadenaHtml + "</ul>"; 
			$(".primero").addClass("cabecera");
			$(".cabecera").removeClass("primero");	 
			$(".cabecera").html("<h1>Casos prácticos</h1>");
			$(".edad").addClass("naranja");
			$(".edad").html("<figure class='arriba_izquierda'><img src='img/movil-07.png'/></figure><h3>Paso 1 de 3</h3>   <p class='selecc'>Selecciona el rango de edad:</p>"+cadenaHtml)
			
},	

// SHOW_AMBITO
showAmbito: function(){
			var secuencia = TIC.Secuencia[this.diapo.n_orden].secc;
			var number = TIC.Secuencia[this.diapo.n_orden].number;
			var ambito_img = TIC.Way[this.diapo.n_orden].ambito_img;
			
			$(".prev2").show();
			$(".ambito").addClass("naranja")
			$(".primero").html("<h1><span>3</span>Casos prácticos</h1>");
			
						
			var orden = this.diapo.n_orden;
			var ambito = TIC.Way[orden].ambito;
			var cadenaHtml = "";
			
	if(this.idEdad == 0){
	for(i=0; i<ambito.length; i++){
				cadenaHtml += "<li id='ambito_0"+i+"' title='"+ambito[i]+"' class='"+ambito[i]+"'><a><img src='img/"+ambito_img[i]+".png'/><p class='selecc'>"+ambito[i]+"</p><span></span></a></li>"
			$("#pizarra").on('click', '#ambito_0'+i, this.clickAmbito);	
			}
			cadenaHtml ="<ul class='menu_circulos delayedAlphaIntro'>"+cadenaHtml+"</ul>"		
			
			$(".ambito").html("<figure class='arriba_izquierda'><img src='img/movil-07.png'/></figure><h3>Paso 2 de 3</h3><p class='selecc'>Selecciona el entorno:</p>"+cadenaHtml)
			
			
			
			
	
	}else if ( this.idEdad == 1){
	for(i=0; i<ambito.length; i++){
				cadenaHtml += "<li id='ambito_1"+i+"' title='"+ambito[i]+"' class='"+ambito[i]+"'><a><img src='img/"+ambito_img[i]+".png'  /><p class='selecc'>"+ambito[i]+"</p><span></span></a></li>"
			$("#pizarra").on('click', '#ambito_1'+i, this.clickAmbito);		
			}
			i++;
			cadenaHtml ="<ul class='menu_circulos delayedAlphaIntro'>"+cadenaHtml+"</ul>"		
			
			$(".ambito").html("<figure class='arriba_izquierda'><img src='img/movil-07.png'/></figure><h3>Paso 2 de 3</h3><p class='selecc'>Selecciona el entorno:</p>"+cadenaHtml)
		}
	else{
	for(i=0; i<ambito.length; i++){
				cadenaHtml += "<li id='ambito_2"+i+"' title='"+ambito[i]+"' class='"+ambito[i]+"'><a><img src='img/"+ambito_img[i]+".png'  /><p>"+ambito[i]+"</p><span></span></a></li>"
			$("#pizarra").on('click', '#ambito_2'+i, this.clickAmbito);		
			}
			i++;
			cadenaHtml ="<ul class='menu_circulos delayedAlphaIntro'>"+cadenaHtml+"</ul>"		
			
			$(".ambito").html("<figure class='arriba_izquierda'><img src='img/movil-07.png'/></figure><h3>Paso 2 de 3</h3><p class='selecc'	>Selecciona el entorno:</p>"+cadenaHtml)
	}
			
},	
	

showTest: function(){
	
	 
			  var number = TIC.Secuencia[0].number;
				  var secuencia = TIC.Secuencia[0].secc;
				  var orden = TIC.Diapositivas[this.diapo.id].n_orden;
				  var orden_dialogo = TIC.Diapositivas[this.diapo.id].n_orden_dialogo;
				  var opciones = TIC.Test_Contenidos[orden].opciones;
				  var preguntas = TIC.Test_Contenidos[orden].preguntas;
				 // var contenido = TIC.Contenidos_narrador[orden_dialogo];
				  var cadenaHtml = "";
				  
				//  $(".primero").append("<h1>"+secuencia+"</h1>");
				$(".primero").html("<h1>"+secuencia+"</h1><h2>"+edad[idEdad]+"</h2>");
					  
			  for(j=0; j<opciones.length; j++){
				   var orden = TIC.Diapositivas[this.diapo.id].n_orden;
				  // var orden_dialogo = TIC.Diapositivas[this.diapo.id].n_orden_dialogo;
				   var opciones = TIC.Test_Contenidos[orden].opciones;
				    ActCode = opciones[0][3];
						
					  cadenaHtml += "<li><input value='"+ opciones[j][2] + "' id='"+ j + "' name='options' type='radio'><label for='"+j+"'>" + opciones[j][1]+"</label></li>"
					  
					  }
				  cadenaHtml = "<ul class='radio_options'><form name='formulario' id='formulario'>" + cadenaHtml + "</form></ul>";
				 
				 
			  $(".next").hide();
			  $(".prev").hide();	
			  $(".relleno").show();
			
			$(".test").attr("style","background:#ec852f; box-sizing:border-box");
			
			$(".test").html("<div class='col_escena_naranja AlphaIntro'><h3>"+preguntas+"</h3>"+cadenaHtml+"<div class='send'><button id='boton'>Enviar</button></div><figure class='flota_izquierda'><img src='img/movil-10.png'/></figure></div>");
		
			
			  
			 		  
			   
			   $("#pizarra").on('click', '#boton', this.clickControlar);
			   
			  
		  }, 
		  
// funcion para "resolver" los Tests
		  solve: function(idRespuesta, idTest){
			
			  var number = 		TIC.Secuencia[0].number;
			  var secuencia = 	TIC.Secuencia[0].secc;
			   var orden = 		TIC.Diapositivas[this.diapo.id].n_orden;			  	
			  var pulsada = opciones[idRespuesta][1];
			  var feedback = TIC.Test_Contenidos[orden].feedback;


			$(".prev").hide();
			$(".relleno").show();
			
			 $(".flota_izquierda").hide();
			  $(".preguntas").hide();
			   $(".explain").html("");
			  if(pulsada == 0){

					$("#"+idRespuesta).addClass("correcto");
				   $(".test").append("<div class='explain' style='top: 60%; left: 0px; width: 100%; height: 40%; color: rgb(255, 255, 255); font-size: 1.2em;'>" + feedback[idTest] + "</div>");
				   $("#boton").hide();	
			  }else{
				  
				 $("#"+idRespuesta).addClass("error");
				
				  $(".test").append("<div class='explain' style='top: 60%; left: 0px; width: 100%; height: 40%; color: rgb(255, 255, 255); font-size: 1.2em;'>" + feedback[idTest] + "</div>");
				  $("#boton").hide();
			  
			 }
			
			 
		  },
		  
		  
		  
/// Tipo ventana emergente ////
		  
/*		  showAlert: function(){
			 
			  
			  // var orden = TIC.Diapositivas_2[this.diapo.id].n_orden;
			//   var mensaje = TIC.Pop[orden].texto;
			  $(".pop_up").fadeIn();
			//  $(".pop_up").css({"height":"50%","width":"50%","left":"20%","top":"20%"})
			  $(".pop_up").html("<p>Debes elegir al menos una opción para continuar</p><div class='btn'></div>")
			  $(".pop_up").on('click', '.btn', this.clickCerrar);
			  
			  },


}
	
	return Narrador;
}());*/
showAlert: function(){
$(".pop_up_container").fadeIn();
$(".pop_up_container").html("<div class='pop_up'><span style='text-align:center;margin-left:22%;color:#db9b5f;font-size:2em;font-family:&quot;ag-book&quot'>Selecciona una opción</span><div class='cerrar'></div></div>")
$(".pop_up_container").on('click', '.cerrar', this.clickCerrar);
}, 
		  
muestra_enlace: function(id_enlace){
var mas_info = TIC.Pop[id_enlace].texto; 
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'>"+mas_info+"<div class='cerrar'></div></div>");
$(".pop_up_container").on('click', '.cerrar', this.clickCerrar);

//////////////////////////palabras / scroll /////////////////////////
var palabras = $('.pop_up').text().length;
var altura = $('.pop_up').css("height");
var altura0 = "200px";
//alert(altura);
//alert(palabras);
if ( (palabras >= 500) && (altura >= altura0) ){
//alert(palabras);
$(".pop_up_container").html("<div class='pop_up'>"+mas_info+"<div class='cerrar'></div></div>");	
var scroller = new FTScroller(document.getElementById('scrollable_2'), {
scrollingX: false
});		
};/////////////fin palabras scroll /////////////////

$(".pop_up_container").on('click', '.cerrar', this.clickCerrar);
},			  
}	
	  
	  return Narrador;
  }());
  
  



  function newDoc() {
	  
	
    window.location.assign("OAM01_04_01.html");
	
}